<template>
  <el-col :span="16" :offset="6">
    <el-form label-width="100px">
      <el-form-item
        label="审批建议"
        prop="reason"
        style="margin-bottom: 20px"
        :rules="{
          required: true,
          message: '请选择',
          trigger: 'change'
        }"
      >
        <el-input
          type="textarea"
          v-model="reason"
          placeholder="请输入审批建议"
        />
      </el-form-item>
    </el-form>
    <div style="margin-left: 10%; margin-bottom: 20px; font-size: 14px">
      <el-button
        icon="el-icon-edit-outline"
        type="success"
        size="mini"
        @click="handleAudit(1)"
        >通过
      </el-button>
      <el-button
        icon="el-icon-circle-close"
        type="danger"
        size="mini"
        @click="handleAudit(0)"
        >不通过
      </el-button>

      <el-dropdown @command="(command) => handleCommand(command)" style="margin-left: 30px;">
        <span class="el-dropdown-link">更多<i class="el-icon-arrow-down el-icon--right"></i></span>
        <el-dropdown-menu slot="dropdown">
          <el-dropdown-item command="cancel">作废</el-dropdown-item>
        </el-dropdown-menu>
      </el-dropdown>
    </div>
  </el-col>
</template>

<script>
  import { managerApprove, cancel } from '@/api/bpm/components/saleManage/contact';

  // 流程实例的详情页，可用于审批
  export default {
    name: '',
    components: {
      //   Parser
    },
    props: {
      businessId: {
        default: ''
      },
      taskId: {
        default: ''
      }
    },
    data() {
      return {
        reason: ''
      };
    },
    created() {},
    methods: {
      /** 处理转办审批人 */
      handleUpdateAssignee() {
        this.$emit('handleUpdateAssignee');
      },

      handleAudit(status) {
        managerApprove({
          businessId: this.businessId,
          reason: this.reason,
          status,
          taskId: this.taskId
        }).then((res) => {
          this.$emit('handleAudit', { status });
        });

        // this.dialogVisible = false;
      },

      //更多
      handleCommand(command) {
        if (command === 'cancel') {
          this.$confirm("是否确认作废？", {
            type: 'warning',
            cancelButtonText: '取消',
            confirmButtonText: '确定'
          }).then(() => {
            cancel({
              id: this.taskId,
              reason: this.form.reason,
              businessId: this.businessId,
            }).then(() => {
              this.$emit('handleClose');
            }).catch(() => {
              this.$message.error("流程作废失败");
            });
          }).catch(() => {});
        }
      },

    }
  };
</script>

<style lang="scss"></style>
